import { Server } from 'socket.io';
export declare class BaseLogger {
    readonly isVerbose: boolean;
    private readonly meta;
    constructor(isVerbose?: boolean, meta?: Record<string, unknown>);
    child(meta?: Record<string, unknown>): this;
    private _log;
    info(message: string, args?: unknown): void;
    error(message: string, args?: unknown): void;
    debug(message: string, args?: unknown): void;
    warn(message: string, args?: unknown): void;
    log(args: any): void;
}
export declare class Logger extends BaseLogger {
    private readonly traceId;
    private readonly flows;
    private readonly step;
    private readonly socketServer?;
    private emitLog;
    constructor(traceId: string, flows: string[] | undefined, step: string, isVerbose: boolean, socketServer?: Server | undefined);
    child(meta?: Record<string, unknown>): this;
    log(message: any): void;
    info: (message: string, args?: unknown) => void;
    error: (message: string, args?: unknown) => void;
    debug: (message: string, args?: unknown) => void;
    warn: (message: string, args?: unknown) => void;
}
export declare const globalLogger: BaseLogger;
